Проблема с установками пакетов



  • Добрый день!
    На работе слетел прокси. Переустановили Pfsense 1.2.3. Подгрузили старый конфиг. pfsense стал подгружать squid. Но выдал ошибку. Промучались пол дня, решили опять переустановить и установить пакеты через веб интерфейс, а потом накатить конфиг. При установке любого пакета выдает ошибку:

    Fatal error: Call to undefined function: php_install_command_fm() in /etc/inc/pkg-utils.inc(520) : eval()'d code on line 1.

    То есть установка любого пакета всегда записает на:
    Executing custom_php_install_command()

    Тоже самое при удалении. Почему то не хочет он выполнять пхпшные команды по установке и удалению пакетов.

    До этого пробовали ставить 2.1.4 версию, но к ней конфиг подрубался не со всеми настройками. Очень долго перенастраивать, а офис без интернета работать не может.

    Не подскажите как решить проблему?



  • Много ли ваших настроек в самом сквиде (acl, правила etc.) ? Как вариант - установить 2.1.4 i386 и посмотрев в любом текстовом редакторе файл конфига с 1.2.3 руками добавить эти правила.  Это не быстро , но уж оч. у вас древняя версия pfsense.